import { OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiComponentResizerService } from "../services/sti-component-resizer.service";
import * as i0 from "@angular/core";
export declare class StiPageGridOverlayComponent implements OnInit {
    componentResizerService: StiComponentResizerService;
    model: StiModelService;
    constructor(componentResizerService: StiComponentResizerService, model: StiModelService);
    get paddingLeft(): number;
    get paddingRight(): number;
    get paddingTop(): number;
    get paddingBottom(): number;
    get columns(): any[];
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiPageGridOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiPageGridOverlayComponent, "sti-page-grid-overlay", never, {}, {}, never, never, false, never>;
}
